Retrieve connection details
curl --request GET \
--url https://app.prophecy.io/api/orchestration/fabric/{fabricId}/connection/name/{connectionName} \
--header 'X-AUTH-TOKEN: <x-auth-token>'import requests
url = "https://app.prophecy.io/api/orchestration/fabric/{fabricId}/connection/name/{connectionName}"
headers = {"X-AUTH-TOKEN": "<x-auth-token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-AUTH-TOKEN': '<x-auth-token>'}};
fetch('https://app.prophecy.io/api/orchestration/fabric/{fabricId}/connection/name/{connectionName}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"id": "<connection-id>",
"name": "synapse_1",
"kind": "synapse",
"isDefaultWarehouseConnection": false,
"properties": {
"database": "SynapseDev",
"password": {
"kind": "prophecy",
"properties": {
"id": "2719",
"name": "secret-synapse"
},
"subKind": "text",
"type": "secret"
},
"port": "1433",
"server": "<server-name>.sql.azuresynapse.net",
"username": "<username>"
}
}
}Connections
Retrieve connection details
Retrieve details for a specific connection by its name
GET
/
api
/
orchestration
/
fabric
/
{fabricId}
/
connection
/
name
/
{connectionName}
Retrieve connection details
Headers
Prophecy authentication token. Required for all API requests.
Path Parameters
The unique ID of the parent fabric
The unique name of the connection
Was this page helpful?
⌘I

